Subject: Re: bug#77868: bug report: XFCE cannot change the theme because of missing dconf package to satisfy the ca.desrt.dconf service in dbus

From: 宋文武 <[email-masked]>
Date: Sat, 19 Apr 2025 08:41:21 +0800

Yacine Cheikhrouhou <[email-masked]> writes:

> Hi all,
>
> I started using Guix with XFCE on Xorg (with the default desktop 
> configuration), and couldn't change the theme. I fixed the issue by 
> installing dconf, which is needed by xfce to edit its own configuration.
> I think the problem could be fixed by adding dconf as a dependency of 
> the xfce package.

Hello, when the environment variable GSETTINGS_BACKEND is unset, Xfce
will default to use xfconf as the GSettings backend, which is included
by the xfce package and service.

What's the value of your GSETTINGS_BACKEND environment variable?  Have
you set it up mannualy?  I think unset it or set it to 'xfconf' should
fix the issue.